Bug 187740 - x11-toolkits/soqt: Fix build with clang
Summary: x11-toolkits/soqt: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-19 18:40 UTC by tkato432
Modified: 2014-05-22 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.75 KB, patch)
2014-03-19 18:40 UTC, tkato432
no flags Details | Diff
x11-toolkits_soqt.diff (1.99 KB, patch)
2014-05-17 19:27 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-03-19 18:40:00 UTC
- Fix build with clang
- Add LICENSE
Comment 1 Edwin Groothuis freebsd_committer 2014-03-19 18:40:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 tkato432 2014-05-17 19:27:50 UTC
Here is the corrected patch.
Comment 4 Martin Wilke freebsd_committer 2014-05-22 06:43:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2014-05-22 06:43:03 UTC
Author: miwi
Date: Thu May 22 05:42:59 2014
New Revision: 354772
URL: http://svnweb.freebsd.org/changeset/ports/354772
QAT: https://qat.redports.org/buildarchive/r354772/

Log:
  - Fix build with clang
  - Add LICENSE
  
  PR:		187740
  Submitted by:	Ports Fury

Modified:
  head/x11-toolkits/soqt/Makefile
  head/x11-toolkits/soqt/pkg-plist

Modified: head/x11-toolkits/soqt/Makefile
==============================================================================
--- head/x11-toolkits/soqt/Makefile	Thu May 22 05:42:08 2014	(r354771)
+++ head/x11-toolkits/soqt/Makefile	Thu May 22 05:42:59 2014	(r354772)
@@ -12,25 +12,29 @@ DIST_SUBDIR=	KDE
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Qt4 toolkit library for Coin
 
-LIB_DEPENDS=	Coin.61:${PORTSDIR}/graphics/Coin
+LICENSE=	GPLv2
 
-USE_AUTOTOOLS=	libtool
-USES=		pathfix	gmake
-USE_QT4=	corelib opengl moc_build
-CPPFLAGS+=	-I${QT_INCDIR} -I${QT_INCDIR}/Qt -I${LOCALBASE}/include
-LDFLAGS+=	-L${QT_LIBDIR} -L${LOCALBASE}/lib
+LIB_DEPENDS=	libCoin.so:${PORTSDIR}/graphics/Coin
 
+USES=		gmake libtool pathfix pkgconfig
+USE_QT4=	corelib opengl moc_build
+QT_NONSTANDARD=	yes
+USE_GL=		gl
 GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	QTDIR="${QT_PREFIX}"
-
+CONFIGURE_ENV=	QTDIR="${QT_PREFIX}" MOC="${MOC}"
 CONFIGURE_ARGS=	--with-pthread=yes --with-coin=${LOCALBASE} \
 		--with-qt=${QT_LIBDIR}
 USE_LDCONFIG=	yes
 
-MAN1=		soqt-config.1
+CPPFLAGS+=	-I${QT_INCDIR}/Qt -I${QT_INCDIR} -I${LOCALBASE}/include
+LDFLAGS+=	-L${QT_LIBDIR} -L${LOCALBASE}/lib
+
+post-patch:
+	@${REINPLACE_CMD} -e \
+		'/LDFLAGS/s| $$sim_ac_coin_ldflags|| ; \
+		 /CXXFLAGS/s| -fno-for-scope||' ${WRKSRC}/configure
 
-NO_STAGE=	yes
 post-install:
-	@${TOUCH} ${PREFIX}/include/Inventor/Qt/engines/.keep_me
+	@${TOUCH} ${STAGEDIR}${PREFIX}/include/Inventor/Qt/engines/.keep_me
 
 .include <bsd.port.mk>

Modified: head/x11-toolkits/soqt/pkg-plist
==============================================================================
--- head/x11-toolkits/soqt/pkg-plist	Thu May 22 05:42:08 2014	(r354771)
+++ head/x11-toolkits/soqt/pkg-plist	Thu May 22 05:42:59 2014	(r354772)
@@ -23,11 +23,11 @@ include/Inventor/Qt/viewers/SoQtPlaneVie
 include/Inventor/Qt/viewers/SoQtViewer.h
 include/Inventor/Qt/widgets/SoQtPopupMenu.h
 include/Inventor/Qt/widgets/SoQtThumbWheel.h
-lib/libSoQt.a
-lib/libSoQt.la
 lib/libSoQt.so
-lib/libSoQt.so.25
+lib/libSoQt.so.20
+lib/libSoQt.so.20.5.0
 libdata/pkgconfig/SoQt.pc
+man/man1/soqt-config.1.gz
 share/Coin/conf/soqt-default.cfg
 share/aclocal/soqt.m4
 @dirrmtry share/Coin/conf
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"